Patch an Execution by ID

patch

/execution/{id}

Partially updates the specified execution.

Request

Path Parameters
Back to Top

Response

Default Response

The default response.
Back to Top

Examples

This example shows how to partially update an execution by ID by submitting a PATCH request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X PATCH 'http://hostname:port/execution/1' -d @sampleupdate.json

Example of the Request Body

The following is an example of the contents of the sampleupdate.json file sent as the request body.

{
      "failureAnalysis": {
        "validation_error": 0,
        "environment_error": 0
      },
      "scenarioResult": [],
      "_id": "6253fef4262ceb61afff2e06",
      "executionId": "6253fef4262ceb61afff2e06",
      "job": "6253f6f2262ceb61afff2dff",
      "name": "ToDo-job",
      "type": "JOB",
      "environmentName": "OVM66",
      "environment": "624e7639262ceb61afff2d1f",
      "build": null,
      "release": null,
      "startTime": 1649671924796,
      "endTime": 1649671924864,
      "status": "PASSED",
      "total": 0,
      "completed": 0,
      "passed": 0,
      "failed": 0,
      "error": 0,
      "skipped": 0,
      "__v": 0
    }

Example of the Response Body

If successful, the response code 201 is returned with the following response body.

{
    "status": "SUCCESS",
    "count": 0
}
Back to Top